Method: projects.locations.brands.remediations.list

Lists remediations.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/remediations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent brand containing the remediations. Format: projects/{project}/locations/{location}/brands/{brand}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of remediations to return. The service may return fewer than this value. If unspecified, at most 50 remediations will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token received from a previous remediations.list call.

filter

string

Optional. Useful for the UI to filter by State (e.g., state="ACTIVE").

Request body

The request body must be empty.

Response body

Response message for MenuService.ListRemediations.

If successful, the response body contains data with the following structure:

JSON representation
{
  "remediations": [
    {
      object (Remediation)
    }
  ],
  "nextPageToken": string
}
Fields
remediations[]

object (Remediation)

The list of retrieved remediations.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.